--- src/xar_internal.h.orig	2024-09-24 15:39:21
+++ src/xar_internal.h	2024-10-24 18:43:05
@@ -15,9 +15,11 @@
 #endif // XARSIG_BUILDING_WITH_XAR
 
 // Undeprecate these for internal usage
-xar_t xar_open(const char *file, int32_t flags) API_AVAILABLE(macos(10.4));
-xar_t xar_open_digest_verify(const char *file, int32_t flags, void *expected_toc_digest, size_t expected_toc_digest_len) API_AVAILABLE(macos(10.14.4));
-xar_t xar_fdopen_digest_verify(int fd, int32_t flags, void *expected_toc_digest, size_t expected_toc_digest_len) API_AVAILABLE(macos(15.0));
-char *xar_get_path(xar_file_t f) API_AVAILABLE(macos(10.4));
+xar_t xar_open(const char *file, int32_t flags);
+xar_t xar_open_digest_verify(const char *file, int32_t flags, void *expected_toc_digest, size_t expected_toc_digest_len);
+xar_t xar_fdopen_digest_verify(int fd, int32_t flags, void *expected_toc_digest, size_t expected_toc_digest_len);
+char *xar_get_path(xar_file_t f);
 
+char *xar_get_safe_path(xar_file_t f);
+
 #endif /* _XAR_INTERNAL_H_ */
